Bug 114628 - tomcat --help should be tomcat -help
tomcat --help should be tomcat -help
Status: CLOSED RAWHIDE
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: tomcat (Show other bugs)
1.0-beta1
All Linux
medium Severity low
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 07:54 EST by Dag Wieers
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version: 4.1.27-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2004-01-30 07:54:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
If you want help from tomcat, you get:

    [root@localhost ~]# tomcat --help
    tomcat: unrecognized option -- `--help'
    Try `tomcat --help' for more information.

And what actually works is:

    [root@dev-srv5 /]# tomcat -help
    Usage: tomcat [OPTION]

      -config FILE      use this alternative configuration file
      -help             display this help and exit
      -home DIR         run catalina from within DIR
      -logfile FILE     log messages to this file
      -nonaming         don't use JNDI
      -pidfile FILE     file to write the process ID to
      -user UID         run the daemon as user UID

    For bug reporting instructions please see http://bugzilla.redhat.com/

Version-Release number of selected component (if applicable):
tomcat-4.1.27-8

How reproducible:
Always

Steps to Reproduce:
1. Install tomcat
2. Do tomcat --help
3.
    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.